WordPress.org

Ready to get started?Download WordPress

Forums

WP jQuery Lightbox
[resolved] jQuery version and IE issues? (10 posts)

  1. toyNN
    Member
    Posted 3 years ago #

    I think I'm having some of the issues others report with jquery lightbox and IE, transitions are rough, no transparency - background is black. Works fine in Firefox (v3x, v4x).

    Checking the site the author has linked to, http://game.hgo.se/blog/motion-capture/ - here his lightbox plugin appears to work just fine in IE. I checked the version of jQuery this site is using, v1.4.2.

    My site is making sure jQuery v1.4.4 is downloaded, not older version. Wonder if this might be related to why some of us are seeing problems with IE and jquery lightbox?

    http://wordpress.org/extend/plugins/wp-jquery-lightbox/

  2. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    These guys are having problem with images displaying out of order in IE 7 & 8:
    http://wordpress.org/support/topic/bug-gallery-ie7-and-ie8?replies=3

    But they experience their problem on the GAME-site too.

    Is this something you've encountered, or you're just seeing transition problems?

    I don't know what I've done to ignite the wrath of IE like this...

  3. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    Dashaluna in this thread reports a third problem with WP jQuery Lightbox and IE8:

    the lightbox window itself jumps up and down non stop

    I've only got IE9 and Chrome, and no time to install or debug atm.

    I'd appreciate it if someone IE-literate could do a diff on version 1.2.2 and 1.3.1 of the plugin script (as the older one seemed to work fine) and clue me in as to what changes might've tripped IE up.

  4. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    If IE7 & 8 is crucial to your site, you can always go back to using the older 1.2.2 release until this issue has been resolved.

    It's no problem going back and forth between different releases.

  5. toyNN
    Member
    Posted 3 years ago #

    Ulf, I can confirm most of these issues and have been working on code fixes for IE8 and a few other things (like exposing in admin some of the existing options). Shoot me an email at toynn at comtrya dot com and I'll send them to you for review and inclusion in your official version of the plugin.

  6. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    Done. And thanks!

  7. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    I'd appreciate if someone running IE7 or IE8 could test the Development Version 1.3.3 for me, so I don't commit another broken version to stable.

    Make sure you clear your caches (on your blog and in your browser) first!

    Changes in 1.3.3
    Fixes for Internet Explorer (A million thanks to David Grayston!).
    Fix for mixed HTTP/HTTPS installations.
    Added setting to have margins to screen edge.
    Added setting to put info & navigation on top.
    Added setting to configure and display help text.
    Added Japanese translation (Thanks redcocker).

  8. Dannemo
    Member
    Posted 3 years ago #

    Hello there!

    I am using Version 1.8.1 (atleast thats what WP is telling me) and I've gotten reports of gallery malfunction in both IE7 and IE8. Works fine in FireFox, IE9 (and 6)

    I did try to run IE9 in compability mode for IE8 (I think) and it worked fine, tho' the gallery images are out of order (looks messy (this also happens in IE6)).

    When people are clicking the navigation arrows the images will just flicker, do nothing, or reload the same image. (as others have stated above).

    As you wrote in your reply above, the 1.3.3 fix for explorer, does that apply to the version Im using or will there be a update soon with these fixes?

    Otherwise thanks for a great gallery!

  9. ulfben
    Member
    Plugin Author

    Posted 3 years ago #

    There has never been a version 1.8.1.

    Remove it and install the current proper release.

  10. Dannemo
    Member
    Posted 3 years ago #

    Thank you for the fast reply. I noticed I might have rushed myself and not reading through everything properly.

    Im using the NextGen - Gallery and have these similair issues. Its the NextGen version I was reffering to (1.8.1). I was under the influense that this topic was about NextGen specificly ( I guess thats what I get for hopping between threads). I was searching for the symptoms of my issues and found a thread wich prompted me to go here.
    When I read this topic, perhaps I should had looked for some reference to NextGen before ranting...

    I must apologize for any inconvinience I may have casued!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic